/[gentoo-x86]/sys-auth/pam_require/pam_require-0.6.ebuild
Gentoo

Contents of /sys-auth/pam_require/pam_require-0.6.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download)
Tue Sep 16 15:32:28 2008 UTC (5 years, 10 months ago) by trapni
Branch: MAIN
Changes since 1.3: +2 -2 lines
version bump. Thanks Yakub Moc, for this notice. fixes #212541
(Portage version: 2.2_rc8/cvs/Linux 2.6.26-gentoo x86_64)

1 # Copyright 1999-2008 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/sys-auth/pam_require/pam_require-0.6.ebuild,v 1.3 2008/05/15 01:21:10 flameeyes Exp $
4
5 inherit eutils pam
6
7 DESCRIPTION="Allows you to require a special group or user to access a service."
8 HOMEPAGE="http://www.splitbrain.org/Programming/C/pam_require/"
9 SRC_URI="http://www.splitbrain.org/Programming/C/pam_require/${P}.tgz"
10 LICENSE="GPL-2"
11 SLOT="0"
12 KEYWORDS="~amd64 ~ppc ~x86"
13 IUSE=""
14
15 DEPEND="virtual/pam"
16
17 src_compile() {
18 ./configure --prefix=/ || die "econf failed"
19 emake || die "emake failed"
20 }
21
22 src_install() {
23 dopammod "${S}/pam_require.so"
24
25 dodoc AUTHORS ChangeLog NEWS README
26 }

  ViewVC Help
Powered by ViewVC 1.1.20